Page MenuHomePhabricator

Move restbase chart from local-charts to deployment-charts repository
Closed, ResolvedPublic

Event Timeline

jeena created this task.Jul 24 2019, 5:37 PM
greg triaged this task as Medium priority.Jul 24 2019, 5:39 PM
mobrovac added subscribers: akosiaris, Joe, mobrovac.

As I wrote on the patch, I wonder if it's a good idea to put RESTBase in deployment-charts given that it will never be put into k8s, and given that we already have restrouter in here I find it confusing. @akosiaris @Joe thoughts?

As I wrote on the patch, I wonder if it's a good idea to put RESTBase in deployment-charts given that it will never be put into k8s, and given that we already have restrouter in here I find it confusing. @akosiaris @Joe thoughts?

will never be put into k8s.

I wasn't aware of that. What's the rationale?

I wasn't aware of that. What's the rationale?

Basically, once RESTRouter is fully functional, RESTBase itself will represent only the storage API layer, so to speak. We will have two options at that point: (i) keep using it; or (ii) use kask instead. In the first case, IMHO it's better to keep the service as close to the storage as possible, which would mean keep RB where it is, while in the latter case RB goes away completely.

I wasn't aware of that. What's the rationale?

Basically, once RESTRouter is fully functional, RESTBase itself will represent only the storage API layer, so to speak. We will have two options at that point: (i) keep using it; or (ii) use kask instead. In the first case, IMHO it's better to keep the service as close to the storage as possible, which would mean keep RB where it is, while in the latter case RB goes away completely.

Will RESTBase be developed and deployed from the same repo as RESTRouter? If that's the case, then (i) AND RB staying on the cassandra nodes will mean diverging methods of deployment, possibly divergent nodejs versions and base OS, with all the consequences of that (like having to upgrade cassandra nodes in tandem). Granted it will be possible to keep them in sync, but it will come at a cost which it might or might not make sense to pay. The 2 alternatives, i.e. (ii) and keeping RESTBase but moving it to kubernetes as well, don't suffer from the above, albeit they have their own costs (e.g. making sure kask is able functionally to perform RB's role, or some increased latency, although probably in the single digit ms range). It's a number of things that will have to be weighed I guess.

Change 517557 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/deployment-charts@master] Add restbase chart (port from local-charts)

https://gerrit.wikimedia.org/r/517557

Change 517557 abandoned by Jeena Huneidi:
Add restbase chart (port from local-charts)

Reason:
Abandoning in favor of making some small changes to the RESTRouter chart to support dev usage.

https://gerrit.wikimedia.org/r/517557

Change 545421 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/deployment-charts@master] Modify Restrouter chart to allow for minikube development

https://gerrit.wikimedia.org/r/545421

Change 545421 abandoned by Jeena Huneidi:
Modify Restrouter chart to allow for minikube development

Reason:
Abandoning due to https://phabricator.wikimedia.org/T242461

https://gerrit.wikimedia.org/r/545421

jeena added a comment.EditedFeb 5 2020, 7:58 AM

Restrouter is no longer in k8s in production and according to https://phabricator.wikimedia.org/T242461 might go away. Until that happens, we decided to keep the restbase chart in local-charts and update it to restrouter due to being able to merge and iterate more quickly.

Change 570236 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[releng/local-charts@master] Remove restbase chart and add restrouter chart

https://gerrit.wikimedia.org/r/570236

Change 571601 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] new RESTBase image & improved build instructions

https://gerrit.wikimedia.org/r/571601

brennen moved this task from Backlog to Watching on the User-brennen board.

Change 571601 merged by Jeena Huneidi:
[releng/dev-images@master] new RESTBase image & improved build instructions

https://gerrit.wikimedia.org/r/571601

Mentioned in SAL (#wikimedia-releng) [2020-02-12T01:24:36Z] <brennen> Updating dev-images docker-pkg files on contint1001 for T228910

Change 570236 merged by Jeena Huneidi:
[releng/local-charts@master] Remove restbase chart and add restrouter chart

https://gerrit.wikimedia.org/r/570236

jeena closed this task as Resolved.Feb 13 2020, 6:41 PM
brennen moved this task from Watching to Done / Defunct on the User-brennen board.Feb 21 2020, 9:00 PM